Package org.eclipse.m2m.atl.profiler.exportmodel.impl

# Class ExportmodelPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.m2m.atl.profiler.exportmodel.impl.ExportmodelPackageImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`, `ExportmodelPackage`

public class ExportmodelPackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl implements ExportmodelPackage
An implementation of the model Package.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.m2m.atl.profiler.exportmodel.ExportmodelPackage

`ExportmodelPackage.Literals`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.m2m.atl.profiler.exportmodel.ExportmodelPackage

`ATL_OPERATION_EXPORT, ATL_OPERATION_EXPORT__BEGIN_MEMORY, ATL_OPERATION_EXPORT__CALLS, ATL_OPERATION_EXPORT__END_MEMORY, ATL_OPERATION_EXPORT__INSTRUCTIONS, ATL_OPERATION_EXPORT__MAX_MEMORY, ATL_OPERATION_EXPORT__NAME, ATL_OPERATION_EXPORT__PROFILING_OPERATION, ATL_OPERATION_EXPORT__TIM_EXECUTION, ATL_OPERATION_EXPORT__TOTAL_INSTRUCTIONS_PERCENT, ATL_OPERATION_EXPORT__TOTAL_TIME_EXECUTION_PERCENT, ATL_OPERATION_EXPORT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXPORT_ELEMENT, EXPORT_ELEMENT__BEGIN_MEMORY, EXPORT_ELEMENT__END_MEMORY, EXPORT_ELEMENT__INSTRUCTIONS, EXPORT_ELEMENT__MAX_MEMORY, EXPORT_ELEMENT__NAME, EXPORT_ELEMENT__TIM_EXECUTION, EXPORT_ELEMENT__TOTAL_INSTRUCTIONS_PERCENT, EXPORT_ELEMENT__TOTAL_TIME_EXECUTION_PERCENT, EXPORT_ELEMENT_FEATURE_COUNT, EXPORT_ROOT, EXPORT_ROOT__OPERATION, EXPORT_ROOT__TOTAL_INSTRUCTIONS, EXPORT_ROOT__TOTAL_TIME, EXPORT_ROOT_FEATURE_COUNT, PROFILING_OPERATION_EXPORT, PROFILING_OPERATION_EXPORT__BEGIN_MEMORY, PROFILING_OPERATION_EXPORT__END_MEMORY, PROFILING_OPERATION_EXPORT__INSTRUCTIONS, PROFILING_OPERATION_EXPORT__MAX_MEMORY, PROFILING_OPERATION_EXPORT__NAME, PROFILING_OPERATION_EXPORT__TIM_EXECUTION, PROFILING_OPERATION_EXPORT__TOTAL_INSTRUCTIONS_PERCENT, PROFILING_OPERATION_EXPORT__TOTAL_TIME_EXECUTION_PERCENT, PROFILING_OPERATION_EXPORT_FEATURE_COUNT`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getAtlOperationExport()`
`org.eclipse.emf.ecore.EAttribute`
`getAtlOperationExport_Calls()`
`org.eclipse.emf.ecore.EReference`
`getAtlOperationExport_ProfilingOperation()`
`org.eclipse.emf.ecore.EClass`
`getExportElement()`
`org.eclipse.emf.ecore.EAttribute`
`getExportElement_BeginMemory()`
`org.eclipse.emf.ecore.EAttribute`
`getExportElement_EndMemory()`
`org.eclipse.emf.ecore.EAttribute`
`getExportElement_Instructions()`
`org.eclipse.emf.ecore.EAttribute`
`getExportElement_MaxMemory()`
`org.eclipse.emf.ecore.EAttribute`
`getExportElement_Name()`
`org.eclipse.emf.ecore.EAttribute`
`getExportElement_TimExecution()`
`org.eclipse.emf.ecore.EAttribute`
`getExportElement_TotalInstructionsPercent()`
`org.eclipse.emf.ecore.EAttribute`
`getExportElement_TotalTimeExecutionPercent()`
`ExportmodelFactory`
`getExportmodelFactory()`
`org.eclipse.emf.ecore.EClass`
`getExportRoot()`
`org.eclipse.emf.ecore.EReference`
`getExportRoot_Operation()`
`org.eclipse.emf.ecore.EAttribute`
`getExportRoot_TotalInstructions()`
`org.eclipse.emf.ecore.EAttribute`
`getExportRoot_TotalTime()`
`org.eclipse.emf.ecore.EClass`
`getProfilingOperationExport()`
`static ExportmodelPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static ExportmodelPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

Invocation of this method will not affect any packages that have already been initialized.

See Also:
  - `ExportmodelPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getExportElement

public org.eclipse.emf.ecore.EClass getExportElement()

Specified by:
  `getExportElement` in interface `ExportmodelPackage`
Returns:
  the meta object for class 'Export Element'.
See Also:
  - `ExportElement`

### getExportElement_Name

public org.eclipse.emf.ecore.EAttribute getExportElement_Name()

Specified by:
  `getExportElement_Name` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `ExportElement.getName()`
  - `ExportmodelPackage.getExportElement()`

### getExportElement_TimExecution

public org.eclipse.emf.ecore.EAttribute getExportElement_TimExecution()

Specified by:
  `getExportElement_TimExecution` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Tim Execution'.
See Also:
  - `ExportElement.getTimExecution()`
  - `ExportmodelPackage.getExportElement()`

### getExportElement_Instructions

public org.eclipse.emf.ecore.EAttribute getExportElement_Instructions()

Specified by:
  `getExportElement_Instructions` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Instructions'.
See Also:
  - `ExportElement.getInstructions()`
  - `ExportmodelPackage.getExportElement()`

### getExportElement_BeginMemory

public org.eclipse.emf.ecore.EAttribute getExportElement_BeginMemory()

Specified by:
  `getExportElement_BeginMemory` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Begin Memory'.
See Also:
  - `ExportElement.getBeginMemory()`
  - `ExportmodelPackage.getExportElement()`

### getExportElement_MaxMemory

public org.eclipse.emf.ecore.EAttribute getExportElement_MaxMemory()

Specified by:
  `getExportElement_MaxMemory` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Max Memory'.
See Also:
  - `ExportElement.getMaxMemory()`
  - `ExportmodelPackage.getExportElement()`

### getExportElement_EndMemory

public org.eclipse.emf.ecore.EAttribute getExportElement_EndMemory()

Specified by:
  `getExportElement_EndMemory` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'End Memory'.
See Also:
  - `ExportElement.getEndMemory()`
  - `ExportmodelPackage.getExportElement()`

### getExportElement_TotalTimeExecutionPercent

public org.eclipse.emf.ecore.EAttribute getExportElement_TotalTimeExecutionPercent()

Specified by:
  `getExportElement_TotalTimeExecutionPercent` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Total Time Execution Percent'.
See Also:
  - `ExportElement.getTotalTimeExecutionPercent()`
  - `ExportmodelPackage.getExportElement()`

### getExportElement_TotalInstructionsPercent

public org.eclipse.emf.ecore.EAttribute getExportElement_TotalInstructionsPercent()

Specified by:
  `getExportElement_TotalInstructionsPercent` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Total Instructions Percent'.
See Also:
  - `ExportElement.getTotalInstructionsPercent()`
  - `ExportmodelPackage.getExportElement()`

### getProfilingOperationExport

public org.eclipse.emf.ecore.EClass getProfilingOperationExport()

Specified by:
  `getProfilingOperationExport` in interface `ExportmodelPackage`
Returns:
  the meta object for class 'Profiling Operation Export'.
See Also:
  - `ProfilingOperationExport`

### getAtlOperationExport

public org.eclipse.emf.ecore.EClass getAtlOperationExport()

Specified by:
  `getAtlOperationExport` in interface `ExportmodelPackage`
Returns:
  the meta object for class 'Atl Operation Export'.
See Also:
  - `AtlOperationExport`

### getAtlOperationExport_Calls

public org.eclipse.emf.ecore.EAttribute getAtlOperationExport_Calls()

Specified by:
  `getAtlOperationExport_Calls` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Calls'.
See Also:
  - `AtlOperationExport.getCalls()`
  - `ExportmodelPackage.getAtlOperationExport()`

### getAtlOperationExport_ProfilingOperation

public org.eclipse.emf.ecore.EReference getAtlOperationExport_ProfilingOperation()

Specified by:
  `getAtlOperationExport_ProfilingOperation` in interface `ExportmodelPackage`
Returns:
  the meta object for the containment reference list 'Profiling Operation'.
See Also:
  - `AtlOperationExport.getProfilingOperation()`
  - `ExportmodelPackage.getAtlOperationExport()`

### getExportRoot

public org.eclipse.emf.ecore.EClass getExportRoot()

Specified by:
  `getExportRoot` in interface `ExportmodelPackage`
Returns:
  the meta object for class 'Export Root'.
See Also:
  - `ExportRoot`

### getExportRoot_Operation

public org.eclipse.emf.ecore.EReference getExportRoot_Operation()

Specified by:
  `getExportRoot_Operation` in interface `ExportmodelPackage`
Returns:
  the meta object for the containment reference list 'Operation'.
See Also:
  - `ExportRoot.getOperation()`
  - `ExportmodelPackage.getExportRoot()`

### getExportRoot_TotalTime

public org.eclipse.emf.ecore.EAttribute getExportRoot_TotalTime()

Specified by:
  `getExportRoot_TotalTime` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Total Time'.
See Also:
  - `ExportRoot.getTotalTime()`
  - `ExportmodelPackage.getExportRoot()`

### getExportRoot_TotalInstructions

public org.eclipse.emf.ecore.EAttribute getExportRoot_TotalInstructions()

Specified by:
  `getExportRoot_TotalInstructions` in interface `ExportmodelPackage`
Returns:
  the meta object for the attribute 'Total Instructions'.
See Also:
  - `ExportRoot.getTotalInstructions()`
  - `ExportmodelPackage.getExportRoot()`

### getExportmodelFactory

public ExportmodelFactory getExportmodelFactory()

Specified by:
  `getExportmodelFactory` in interface `ExportmodelPackage`
Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.